#![no_std]
#![no_main]

use core::panic::PanicInfo;

#[panic_handler]
fn panic(_info: &PanicInfo) -> ! {
    loop {}
}

static GAMARJOBA: &[u8] = b"Gamarjoba, MVNDE!";

#[no_mangle]
pub extern "C" fn _start() -> ! {
    let vga_buffer = 0xb8000 as *mut u8;

    for (i, &byte) in GAMARJOBA.iter().enumerate() {
        let i = i as isize;
        unsafe {
            *vga_buffer.offset(i * 2) = byte;
            *vga_buffer.offset(i * 2 + 1) = 0xd;


        }

    }

    loop {}
}

